# Uses of Interface
org.springframework.aop.Pointcut

Packages that use Pointcut
Package
Description
org.springframework.aop
Core Spring AOP interfaces, built on AOP Alliance AOP interoperability interfaces.
org.springframework.aop.aspectj
AspectJ integration package.
org.springframework.aop.aspectj.annotation
Classes enabling AspectJ 5 @Annotated classes to be used in Spring AOP.
org.springframework.aop.support
Convenience classes for using Spring's AOP API.
org.springframework.aop.support.annotation
Annotation support for AOP pointcuts.

## Uses of Pointcut in org.springframework.aop

Fields in org.springframework.aop declared as Pointcut
Modifier and Type
Field
Description
`static final Pointcut`
Pointcut.`TRUE`
Canonical Pointcut instance that always matches.
Methods in org.springframework.aop that return Pointcut
Modifier and Type
Method
Description
`Pointcut`
PointcutAdvisor.`getPointcut()`
Get the Pointcut that drives this advisor.

## Uses of Pointcut in org.springframework.aop.aspectj

Classes in org.springframework.aop.aspectj that implement Pointcut
Modifier and Type
Class
Description
`class`
`AspectJExpressionPointcut`
Spring `Pointcut` implementation that uses the AspectJ weaver to evaluate a pointcut expression.
Methods in org.springframework.aop.aspectj that return Pointcut
Modifier and Type
Method
Description
`final Pointcut`
AbstractAspectJAdvice.`buildSafePointcut()`
Build a 'safe' pointcut that excludes the AspectJ advice method itself.
`Pointcut`
AspectJExpressionPointcutAdvisor.`getPointcut()`
`Pointcut`
AspectJPointcutAdvisor.`getPointcut()`

## Uses of Pointcut in org.springframework.aop.aspectj.annotation

Methods in org.springframework.aop.aspectj.annotation that return Pointcut
Modifier and Type
Method
Description
`Pointcut`
AspectMetadata.`getPerClausePointcut()`
Return a Spring pointcut expression for a singleton aspect.

## Uses of Pointcut in org.springframework.aop.support

Subinterfaces of Pointcut in org.springframework.aop.support
Modifier and Type
Interface
Description
`interface`
`ExpressionPointcut`
Interface to be implemented by pointcuts that use String expressions.
Classes in org.springframework.aop.support that implement Pointcut
Modifier and Type
Class
Description
`class`
`AbstractExpressionPointcut`
Abstract superclass for expression pointcuts, offering location and expression properties.
`class`
`AbstractRegexpMethodPointcut`
Abstract base regular expression pointcut bean.
`class`
`ComposablePointcut`
Convenient class for building up pointcuts.
`class`
`ControlFlowPointcut`
Pointcut and method matcher for use as a simple cflow-style pointcut.
`class`
`DynamicMethodMatcherPointcut`
Convenient superclass when we want to force subclasses to implement MethodMatcher interface, but subclasses will want to be pointcuts.
`class`
`JdkRegexpMethodPointcut`
Regular expression pointcut based on the `java.util.regex` package.
`class`
`NameMatchMethodPointcut`
Pointcut bean for simple method name matches, as an alternative to regular expression patterns.
`class`
`StaticMethodMatcherPointcut`
Convenient superclass when we want to force subclasses to implement the `MethodMatcher` interface but subclasses will want to be pointcuts.
`class`
`StaticMethodMatcherPointcutAdvisor`
Convenient base class for Advisors that are also static pointcuts.
Fields in org.springframework.aop.support declared as Pointcut
Modifier and Type
Field
Description
`static final Pointcut`
Pointcuts.`GETTERS`
Pointcut matching all bean property getters, in any class.
`static final Pointcut`
Pointcuts.`SETTERS`
Pointcut matching all bean property setters, in any class.
Methods in org.springframework.aop.support that return Pointcut
Modifier and Type
Method
Description
`Pointcut`
DefaultBeanFactoryPointcutAdvisor.`getPointcut()`
`Pointcut`
DefaultPointcutAdvisor.`getPointcut()`
`Pointcut`
NameMatchMethodPointcutAdvisor.`getPointcut()`
`Pointcut`
RegexpMethodPointcutAdvisor.`getPointcut()`
Initialize the singleton Pointcut held within this Advisor.
`Pointcut`
StaticMethodMatcherPointcutAdvisor.`getPointcut()`
`static Pointcut`
Pointcuts.`intersection(Pointcut pc1, Pointcut pc2)`
Match all methods that both the given pointcuts match.
`static Pointcut`
Pointcuts.`union(Pointcut pc1, Pointcut pc2)`
Match all methods that either (or both) of the given pointcuts matches.
Methods in org.springframework.aop.support with parameters of type Pointcut
Modifier and Type
Method
Description
`static boolean`
AopUtils.`canApply(Pointcut pc, Class<?> targetClass)`
Can the given pointcut apply at all on the given class?
`static boolean`
AopUtils.`canApply(Pointcut pc, Class<?> targetClass, boolean hasIntroductions)`
Can the given pointcut apply at all on the given class?
`ComposablePointcut`
ComposablePointcut.`intersection(Pointcut other)`
Apply an intersection with the given Pointcut.
`static Pointcut`
Pointcuts.`intersection(Pointcut pc1, Pointcut pc2)`
Match all methods that both the given pointcuts match.
`static boolean`
Pointcuts.`matches(Pointcut pointcut, Method method, Class<?> targetClass, Object... args)`
Perform the least expensive check for a pointcut match.
`void`
DefaultBeanFactoryPointcutAdvisor.`setPointcut(Pointcut pointcut)`
Specify the pointcut targeting the advice.
`void`
DefaultPointcutAdvisor.`setPointcut(Pointcut pointcut)`
Specify the pointcut targeting the advice.
`ComposablePointcut`
ComposablePointcut.`union(Pointcut other)`
Apply a union with the given Pointcut.
`static Pointcut`
Pointcuts.`union(Pointcut pc1, Pointcut pc2)`
Match all methods that either (or both) of the given pointcuts matches.
Constructors in org.springframework.aop.support with parameters of type Pointcut
Modifier
Constructor
Description
``
`ComposablePointcut(Pointcut pointcut)`
Create a ComposablePointcut based on the given Pointcut.
``
`DefaultPointcutAdvisor(Pointcut pointcut, Advice advice)`
Create a DefaultPointcutAdvisor, specifying Pointcut and Advice.

## Uses of Pointcut in org.springframework.aop.support.annotation

Classes in org.springframework.aop.support.annotation that implement Pointcut
Modifier and Type
Class
Description
`class`
`AnnotationMatchingPointcut`
Simple `Pointcut` that looks for a specific annotation being present on a class or method.